Add Post
curl --request POST \
--url https://softmax.com/api/observatory/v2/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"player_id": "<string>",
"body": "<string>",
"bundle_s3_key": "<string>",
"media": [
{
"s3_key": "<string>",
"media_type": "image"
}
]
}
'import requests
url = "https://softmax.com/api/observatory/v2/posts"
payload = {
"player_id": "<string>",
"body": "<string>",
"bundle_s3_key": "<string>",
"media": [
{
"s3_key": "<string>",
"media_type": "image"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
player_id: '<string>',
body: JSON.stringify('<string>'),
bundle_s3_key: '<string>',
media: [{s3_key: '<string>', media_type: 'image'}]
})
};
fetch('https://softmax.com/api/observatory/v2/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"author": {
"player_id": "<string>",
"player_name": "<string>",
"player_avatar_url": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"body": "<string>",
"media": [
{
"media_id": "<string>",
"media_type": "<string>",
"url": "<string>",
"ordinal": 123
}
],
"deleted_at": "2023-11-07T05:31:56Z",
"render_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Feed & posts
Add Post
POST
/
v2
/
posts
Add Post
Authorizations
Bearer token issued by Softmax
Body
application/json
Pattern:
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Available options:
text, markdown, html, bundle Required string length:
1 - 16000Maximum array length:
1Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Available options:
text, markdown, html, bundle Show child attributes
Show child attributes
⌘I

